﻿/**
	Post-Installation dialog with the option to open the folder where everything was placed.
	The macro file is placed by the mzp.run, but also executed from here once so it can be used
	right after installation without having to restart 3ds Max.
*/

filein ((GetDir #usermacros) + "\\ShutDownSave_V2.0_by_3dwannab.mcr")

try(destroyDialog SSDInstalled)catch()
rollout SSDInstalled "ShutDownSave V2.0 by 3dwannab (◣_◢)" width:285 height:285
(
	local Dir_Scr_Uninstall = (getDir #userScripts) + "\\3dwannab\\ShutDownSave"
	local FileInShutDownSaveScript = (GetDir #userscripts) + "\\3dwannab\\ShutDownSave\\ShutDownSave_V2.0_PreScript_by_3dwannab.ms"
 
--------------------------------------------------------------------
 
    function DeleteDirAndSubDir rootDir =
    (
        try ( HiddenDOSCommand ("rmDir \"" + rootDir + "\" /s /q") ) catch (messagebox "Can't delete ShutDownSave (◣_◢) folders!" title:"ShutDownSave Install Error!!!")
    )
    function DeleteFiles curDir file =
    (
        filesToDelete = getFiles (curDir + file)
        for f in filesToDelete do	deleteFile f
    )
   
--------------------------------------------------------------------

	label lbl1 "ShutDownSave V2.0 is now installed! (◣_◢)
    
--------------------------------------------------------------------

To get a Toolbar button go to:
Customize -> Customize User Interface -> Toolbars
	
Category  -> '3dwannab' and drag 'ShutDownSave (◣_◢)' to a toolbar.

Click the toolbar icon to run it!

NB: When you restart 3ds Max the icon will appear" pos:[5,5] width:275 height:169
	button btn_Run_Script "RUN Script Now (◣_◢)" pos:[5,205] width:275 height:30 toolTip:"Run Script Now!"
	button btn_ShutDownSave_Uninstall "UNINSTALL" pos:[5,245] width:275 height:30
	
	label lbl3 "--------------------------------------------------------------------" pos:[5,183] width:275 height:8
	on btn_Run_Script pressed do
	(
		try(destroyDialog SSDInstalled)catch()
		fileIn FileInShutDownSaveScript
	)
	on btn_ShutDownSave_Uninstall pressed do
	(
	    if (queryBox "Are you sure ?" title:"Un-install ShutDownSave V2.0 by 3dwannab (◣_◢)"  beep:false) == true then  
	    DeleteDirAndSubDir ((getDir #userscripts) + "\\3dwannab\\ShutDownSave")     --delete script folders
	    DeleteDirAndSubDir "c:\Windows\3dwannab"                                    --delete the .wav file and mini-player
	    DeleteFiles ((getDir #usericons) + "\\ShutDownSave_Icon") "*.*"	            --delete the icons & psd
	    DeleteFiles ((getDir #usericons) + "\\Scriptspot_Logo") "*.*"               --delete the scriptspot logo
	    DeleteFiles ((getDir #usermacros) + "\\*ShutDownSave") "*.*"                --delete macro
	    messagebox "Uninstall Complete...\n\nTo install again just drag the .mzp file into the 3ds Max window or through the Run Script method\n\nGoodbye...(◣_◢)" title:"ShutDownSave V2.0 by 3dwannab (◣_◢)"  beep:true
	)
)
createDialog SSDInstalled style:#(#style_titlebar, #style_sysmenu, #style_toolwindow)